# $Revision: 1.11 $, $Date: 2009/02/02 20:37:02 $
Summary:	Program to print the status of an LSI RAID controllers
Summary(pl.UTF-8):	Program podający stan kontrolerów LSI RAID
Name:		mpt-status
Version:	1.2.0
Release:	2
License:	GPL v2+
Group:		Applications/System
Source0:	http://www.drugphish.ch/~ratz/mpt-status/%{name}-%{version}.tar.bz2
# Source0-md5:	fae044db1340fd37aa81b4ecef7bbd46
# needed headers taken from kernel 2.6.16.29 source
Patch0:		%{name}-headers.patch
Patch1:		%{name}-no_compiler.h.patch
Patch2:		%{name}-sync_info.patch
URL:		http://www.red-bean.com/~mab/mpt-status.html
BuildRequires:	pciutils-devel
Requires:	dev >= 2.9.0-20
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The mpt-status software is a query tool to access the running
configuration and status of LSI SCSI HBAs. This is a completely
rewritten version of the original mpt-status-1.0 tool written by Matt
Braithwaite. mpt-status allows you to monitor the health and status of
your RAID setup. 

Currently supported and tested HBAs are:
- LSI 1030 SCSI RAID storage controller
- LSI SAS1064 SCSI RAID storage controller
- LSI SAS1068 SCSI RAID storage controller
- LSI SAS 3442-R SCSI RAID storage controller

Since the tool is using the MPI (message passing interface) chances
are high that the basic information regarding RAID status will be
available for all LSI based controllers. Just give it a try and report
back.

%description -l pl.UTF-8
Program mpt-status to narzędzie pozwalające na dostęp do konfiguracji
i stanu działających kontrolerów (HBA) SCSI firmy LSI. Jest to
napisana całkowicie od nowa wersja oryginalnego narzędzia
mpt-status-1.0 autorstwa Matta Braithwaite. mpt-status pozwala
monitorować stan macierzy RAID.

Aktualnie obsługiwane i przetestowane kontrolery to:
- LSI 1030 SCSI RAID storage controller
- LSI SAS1064 SCSI RAID storage controller
- LSI SAS1068 SCSI RAID storage controller
- LSI SAS 3442-R SCSI RAID storage controller

Ponieważ narzędzie używa interfejsu MPI (Message Passing Interface),
są duże szanse, że podstawowe informacje o stanie macierzy będą
dostępne dla wszystkich kontrolerów opartych na LSI. Zalecane jest
sprawdzenie i zgłoszenie informacji do autorów.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall -W -Iincl -Iinclude" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man8}

install mpt-status $RPM_BUILD_ROOT%{_bindir}
install man/mpt-status.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/{AUTHORS,Changelog,README,THANKS,ReleaseNotes}
%attr(755,root,root) %{_bindir}/mpt-status
%{_mandir}/man8/mpt-status.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mpt-status.spec,v $
Revision 1.11  2009/02/02 20:37:02  qboosh
- updated pl

Revision 1.10  2009/01/26 20:32:39  blues
- new description - removed polish, was not true.

Revision 1.9  2008-03-22 21:01:23  zergin
- add --sync_info option to mpt-status (patch)
  returns more info about array resynchronization process, provides data
  about: resync rate (MiB/s), resync data (done/total, left) and ETA

  TESTED ONLY ON MY SYSTEM: x86_64 with 3442E-R HBA

- up rel 1 -> 2

Revision 1.8  2008-03-10 15:59:19  zbyniu
- - there is no compiler.h in current llh, in old was empty

Revision 1.7  2007/02/13 07:16:48  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:49:08  baggins
- converted to UTF-8

Revision 1.5  2006/11/13 13:27:24  qboosh
- updated to 1.2.0, updated headers

Revision 1.4  2006/03/07 18:43:55  qboosh
- updated to 1.1.6

Revision 1.3  2005/12/21 12:14:16  darekr
- added %doc

Revision 1.2  2005/12/21 12:09:28  qboosh
- updated to 1.1.4

Revision 1.1  2005/08/08 10:58:20  qboosh
- new
